	subroutine dix_eval_i8_comp(ival,rval,rsize,isequal,isless)
	implicit none
c
c Dyummy routine to make the linker on the happy,
c  this routine wil not be called on VAX
c
c
	include 'dix_def.inc'
c
	integer*4 ival(2)
	record /value/ rval
	integer*4 rsize
	logical*4 isequal
	logical*4 isless
c
	integer*4 k
c
	k = ival(1)
	k = rval.ival
	k = rsize
	k = isequal
	k = isless
	return
	end
	function dix_eval_i8_oper(ival1,ival2,result,func)
	implicit none
c
c Will not be called, Only on alpha/ia64
c
	integer*4 ival1
	integer*4 ival2
	integer*4 result
	character*1 func
	logical*4 dix_eval_i8_oper
c
	integer*4 k
c
	k = ival1
	k = ival2
	k = result
	k = ichar(func)
	dix_eval_i8_oper = 1
	return
	end
        function dix_eval_int_real(i4val) !,size)
        implicit none
c
c Convert int to real
c
        integer*4 i4val
        real*16 dix_eval_int_real
c
	dix_eval_int_real = i4val
        return
        end
	subroutine dix_eval_real_int !(i8val,val,real_size,
c     1                                function,overflow)
	implicit none
c
c Fake routine will not be used
c  this will only be called on alpha for i8 conversion
c  it is present here to satify the linker
c
c	integer*4 i4val
c	record /value/ val
c	integer*4 real_size
c	character*(*) function
c	logical*4 overflow
c
	return
	end

